0
Answered

Migrate from 1.4.10 to 1.4.11 version

babywka 2 years ago updated by Lazlo Bonin (Lead Developer) 2 years ago 4

Console spamming with this message

MissingMethodException: void Bolt.Flow.SetValue(Bolt.ValueOutput,object)
Bolt.EventUnit`1[TArgs].Trigger (Ludiq.GraphReference reference, TArgs args) (at C:/Users/lazlo/Projects/Bolt1/Package/Bolt.Flow/Runtime/Framework/Events/EventUnit.cs:115)
Bolt.EventUnit`1+<>c__DisplayClass14_0[TArgs].b__0 (TArgs args) (at C:/Users/lazlo/Projects/Bolt1/Package/Bolt.Flow/Runtime/Framework/Events/EventUnit.cs:68)
Bolt.EventBus.Trigger[TArgs] (Bolt.EventHook hook, TArgs args) (at C:/Users/lazlo/Projects/Bolt1/Package/Bolt.Core/Runtime/Events/EventBus.cs:65)
Bolt.EventMachine`2[TGraph,TMacro].TriggerRegisteredEvent[TArgs] (Bolt.EventHook hook, TArgs args) (at C:/Users/lazlo/Projects/Bolt1/Package/Bolt.Core/Runtime/Events/EventMachine.cs:42)
Bolt.EventMachine`2[TGraph,TMacro].TriggerEvent (System.String name) (at C:/Users/lazlo/Projects/Bolt1/Package/Bolt.Core/Runtime/Events/EventMachine.cs:14)
Bolt.EventMachine`2[TGraph,TMacro].Update () (at C:/Users/lazlo/Projects/Bolt1/Package/Bolt.Core/Runtime/Events/EventMachine.cs:94)

Bolt Version:
1.4.11
Unity Version:
2018.3 (just released)
Platform(s):
Scripting Backend:
.NET Version (API Compatibility Level):
Pending Review

Are you using third-party plugins like the Rewired integration, for example? These need to  be updated.

Otherwise it seems like not all DLLs copied properly. Try doing another import of everything in the Ludiq/Assemblies folder.

yea, I have a lot of plugins, updating how? press Reimport All?

dont get what to do and Build Unit options is not helping

Just update Rewired from the Asset Store, and re-import their Bolt integration (iirc it comes inside the Rewired package directly). The author (Guavaman) updated his integration for the latest Bolt version recently.